# Uses of Class
net.shibboleth.shared.scripting.EvaluableScript

Packages that use EvaluableScript
Package
Description
net.shibboleth.shared.logic
Classes that represent basic first order logic concepts.
net.shibboleth.shared.scripting
Classes for working with JSR-223 scripting environments.
net.shibboleth.shared.security.impl
Implementations of security interfaces.
net.shibboleth.shared.spring.factory
Spring factory beans.

## Uses of EvaluableScript in net.shibboleth.shared.logic

Constructors in net.shibboleth.shared.logic with parameters of type EvaluableScript
Modifier
Constructor
Description
`protected`
`ScriptedBiConsumer(EvaluableScript theScript)`
Constructor.
`protected`
`ScriptedBiConsumer(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedBiFunction(EvaluableScript theScript)`
Constructor.
`protected`
`ScriptedBiFunction(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedBiPredicate(EvaluableScript theScript)`
Constructor.
`protected`
`ScriptedBiPredicate(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedConsumer(EvaluableScript theScript)`
Constructor.
`protected`
`ScriptedConsumer(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedFunction(EvaluableScript theScript)`
Constructor.
`protected`
`ScriptedFunction(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedPredicate(EvaluableScript theScript)`
Constructor.
`protected`
`ScriptedPredicate(EvaluableScript theScript, String extraInfo)`
Constructor.

## Uses of EvaluableScript in net.shibboleth.shared.scripting

Fields in net.shibboleth.shared.scripting declared as EvaluableScript
Modifier and Type
Field
Description
`private final EvaluableScript`
AbstractScriptEvaluator.`script`
The script we care about.
`private EvaluableScript`
ScriptedRunnable.`script`
What is run.
Methods in net.shibboleth.shared.scripting that return EvaluableScript
Modifier and Type
Method
Description
`EvaluableScript`
ScriptedRunnable.`getScript()`
Gets the script to be evaluated.
Methods in net.shibboleth.shared.scripting with parameters of type EvaluableScript
Modifier and Type
Method
Description
`void`
ScriptedRunnable.`setScript(EvaluableScript matcherScript)`
Sets the script to be evaluated.
Constructors in net.shibboleth.shared.scripting with parameters of type EvaluableScript
Modifier
Constructor
Description
``
`AbstractScriptEvaluator(EvaluableScript theScript)`
Constructor.
``
`RunnableScriptEvaluator(EvaluableScript theScript)`
Constructor.

## Uses of EvaluableScript in net.shibboleth.shared.security.impl

Fields in net.shibboleth.shared.security.impl declared as EvaluableScript
Modifier and Type
Field
Description
`private EvaluableScript`
ScriptedKeyStrategy.`keyScript`
Script to obtain keys.
Methods in net.shibboleth.shared.security.impl with parameters of type EvaluableScript
Modifier and Type
Method
Description
`void`
ScriptedKeyStrategy.`setKeyScript(EvaluableScript script)`
Set the script to run to access keys.

## Uses of EvaluableScript in net.shibboleth.shared.spring.factory

Methods in net.shibboleth.shared.spring.factory that return EvaluableScript
Modifier and Type
Method
Description
`protected EvaluableScript`
EvaluableScriptFactoryBean.`doCreateInstance()`
Call the parent class to create the instance.